View Issue Details

IDProjectCategoryView StatusLast Update
0008887VALENTINA STUDIOTool - Data Editorpublic2021-04-21 11:32
ReporterGuillaume Hébert Assigned ToIgor Nikitin  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSWindowsOS Version10
Product Version10.4.x 
Target Version11.2.xFixed in Version11.2.x 
Summary0008887: Error when loading related table which has a JSON column
Description(The actual Valentina Studio version is 10.5.4 but it wasn't available in the "Product Version" dropdown.)

It seems that the Data Editor is not able to load "Related Tables" when those tables have a JSON column. Note that the JSON column is not part of the foreign key.
Steps To Reproduce1. Open the Data Editor
2. Click to select a random line (first column)
3. Change the "Related Table" dropdown to a table that has at least one JSON type column

A error popup will appear with the message "could not identify an equality operator for type json" (see attached screenshot).
TagsData editor
Working with DB:postgreSQL Server
Version of your DB:9.6.18

Activities

Guillaume Hébert

Guillaume Hébert

2020-10-22 14:55

reporter  

JSON.png (51,435 bytes)
Jakub Czaplicki

Jakub Czaplicki

2021-03-12 12:19

reporter   ~0011531

The issue also occurs for PostgreSQL 11.6
Jakub Czaplicki

Jakub Czaplicki

2021-03-12 12:20

reporter   ~0011532

The issue also occurs for PostgreSQL 11.6 , Valentina Studio 11 (64 bit) macOS, built 16 Feb 2021 12:50:38

Issue History

Date Modified Username Field Change
2020-10-22 14:55 Guillaume Hébert New Issue
2020-10-22 14:55 Guillaume Hébert Tag Attached: Data editor
2020-10-22 14:55 Guillaume Hébert File Added: JSON.png
2020-10-22 15:01 Sergey Pashkov Assigned To => Sergey Pashkov
2020-10-22 15:01 Sergey Pashkov Status new => assigned
2021-03-12 12:19 Jakub Czaplicki Note Added: 0011531
2021-03-12 12:20 Jakub Czaplicki Note Added: 0011532
2021-04-19 11:19 Ruslan Zasukhin Target Version => 11.2.x
2021-04-21 08:21 Igor Nikitin Assigned To Sergey Pashkov => Igor Nikitin
2021-04-21 08:22 Igor Nikitin Status assigned => confirmed
2021-04-21 11:32 Igor Nikitin Status confirmed => resolved
2021-04-21 11:32 Igor Nikitin Resolution open => fixed
2021-04-21 11:32 Igor Nikitin Fixed in Version => 11.2.x